Name:           serenity
Version:        1.7.1
Release:        3%{?dist}
Summary:        KDE Style and Window Decoration
Group:          User Interface/Desktops
License:        GPLv2
URL:            http://maxilys.ifastnet.com/
Source:         http://maxilys.ifastnet.com/archives/%{name}-%{version}.tar.bz2
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  kdebase-devel

%description
Serenity is a soft and quiet theme to ease your mind, with a lot of
options to make the Serenity yours.

%prep
%setup -q

%build
%configure --disable-rpath \
           --with-qt-dir=%(pkg-config --variable=prefix qt-mt) \
           --with-qt-libraries=%(pkg-config --variable=libdir qt-mt) \
           --with-qt-includes=%(pkg-config --variable=includedir qt-mt)

# remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install 
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# copy/rename docs, so we don't need subdirs in docdir
install -pm 0644 style/BUGS BUGS.style
install -pm 0644 style/TODO TODO.style
install -pm 0644 style/ChangeLog ChangeLog.style
install -pm 0644 decoration/BUGS BUGS.decoration
install -pm 0644 decoration/TODO TODO.decoration
install -pm 0644 decoration/ChangeLog ChangeLog.decoration

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING GLOBAL.TINT README WARNING
%doc BUGS.* TODO.* ChangeLog.*
%{_libdir}/kde3/kstyle_serenity_config.la
%{_libdir}/kde3/kstyle_serenity_config.so
%{_libdir}/kde3/kwin3_serenity.la
%{_libdir}/kde3/kwin3_serenity.so
%{_libdir}/kde3/kwin_serenity_config.la
%{_libdir}/kde3/kwin_serenity_config.so
%{_libdir}/kde3/plugins/styles/serenity.la
%{_libdir}/kde3/plugins/styles/serenity.so
%{_datadir}/apps/kstyle/themes/serenity.themerc
%{_datadir}/apps/kwin/serenity.desktop
%{_datadir}/apps/kdisplay/color-schemes/Serenity*.kcsrc

%changelog
* Fri Jan 18 2008 Thomas Moschny <thomas.moschny@gmx.de> - 1.7.1-3
- Pass the qt location to configure, otherwise it doesn't build
  anymore.

* Thu Sep 13 2007 Thomas Moschny <thomas.moschny@gmx.de> - 1.7.1-2
- Remove version from kdebase-devel build requirement.
- Remove obsolete 'fixme' comment.

* Mon Sep  10 2007 Thomas Moschny <thomas.moschny@gmx.de> - 1.7.1-1
- Initial version.
